/**
 * @author Samsung
 */

/**
 * @class Describes error popup element.
 * @param options - options for page.
 */
function SceneErrorPopUp(options) {
	/**
	 * @field
	 * @description option of the page.
	 */
	this.options = options;
};

/**
 * @function
 * @description this function will be called only once when the scene manager show this scene first time
 * initialize the scene controls and styles, and initialize your variables here 
 * scene HTML and CSS will be loaded before this function is called
 */
SceneErrorPopUp.prototype.initialize = function () {
	Logger.write("SceneErrorPopUp.initialize()", "ErrorPopUp");
   // $("#CloseImage").sfImage({src:"images/Close.png"});
    $("#OkButton").sfButton({text:"Ok"});    
    $("#OkButton").sfButton("focus");   
 };
 
 /**
  * @field
  * @description Describes page to go back after exiting.
  * @default null
  */
 SceneErrorPopUp.backTo = null;
 
 /**
  * @function
  * @description Closes error element (scene).
  */
SceneErrorPopUp.close = function(){ 
    sf.scene.hide('ErrorPopUp');
    var sender = $('#SceneErrorPopUp').data("sender");
    
    $('#SceneErrorPopUp').data(null);
    sender = sender.replace("Service","");
	if ((sender == "Player") && (SceneErrorPopUp.backTo == null))
	{
       sf.scene.focus(AppContext.CurrentScene); 	
	}
	else
	{
        if (SceneErrorPopUp.backTo != null)
        {
            sender = SceneErrorPopUp.backTo;
            SceneErrorPopUp.backTo = null;
        }
        
		sf.scene.hide(AppContext.CurrentScene);
		if(sender != "MainMenu")
		{
			sf.scene.show(sender);
			sf.scene.focus(sender); 
		}
		else
		{
            SceneMainMenu.show();
		}
	}
    Logger.write("----hiding error pop up", "ErrorPopUp");
};

/**
 * @event
 * @description Occurs when exiting error popup element (scene)
 */
SceneErrorPopUp.handleExit = function () {
	SceneErrorPopUp.close();
	var resultCallback = function (result) {
		if (result) {
			AppEvents.Exit();
		}
	};
	SceneDialogPopUp.showExitDialog(AppContext.CurrentScene, resultCallback);
};

/**
 * @event
 * @description This function will be called when the scene manager show this scene 
 */
SceneErrorPopUp.prototype.handleShow = function () {
	Logger.write("SceneErrorPopUp.handleShow()", "ErrorPopUp");
    $("#ErrorPopUpTitle").sfLabel({text:Resources.getResources().Error});   
};

/**
 * @event
 * @description This function will be called when the scene manager hide this scene 
 */
SceneErrorPopUp.prototype.handleHide = function () {
	Logger.write("SceneErrorPopUp.handleHide()", "ErrorPopUp");
};

/**
 * @event
 * @description This function will be called when the scene manager focus this scene
 */
SceneErrorPopUp.prototype.handleFocus = function () {
	Logger.write("SceneErrorPopUp.handleFocus()", "ErrorPopUp");
	// this function will be called when the scene manager focus this scene 
    $("#SceneErrorPopUp").css({'z-index':9999});
  var errorMessage= $('#SceneErrorPopUp').data("error");
  Logger.write("------err="+errorMessage, "ErrorPopUp");
    $("#ErrorPopUpDescription").sfLabel({text:errorMessage});   
};

/**
 * @event
 * @description This function will be called when the scene manager move focus to another scene from this scene
 */
SceneErrorPopUp.prototype.handleBlur = function () {
	Logger.write("SceneErrorPopUp.handleBlur()", "ErrorPopUp");
	// this function will be called when the scene manager move focus to another scene from this scene    
    $("#SceneErrorPopUp").css({'z-index':-1});    
};

/**
 * @event
 * @description This function will be called when some key was pressed on the scene.
 */
SceneErrorPopUp.prototype.handleKeyDown = function (keyCode) {
	Logger.write("SceneErrorPopUp.handleKeyDown(" + keyCode + ")", "ErrorPopUp");
	// TODO : write an key event handler when this scene get focused
	switch (keyCode) {
        case sf.key.LEFT:
			break;
		case sf.key.RIGHT:
			break;
		case sf.key.UP:
			break;
		case sf.key.DOWN:
			break;
		case sf.key.ENTER:
            SceneErrorPopUp.close();
			break;
		case sf.key.RETURN:        
            widgetAPI.blockNavigation(event);
            SceneErrorPopUp.close();
			break;
        case sf.key.EXIT:
			widgetAPI.blockNavigation(event);
            SceneErrorPopUp.handleExit();      
            break;         
        default:         
            widgetAPI.blockNavigation(event);
            break;
	}
};