/**
 * @author VasiliyK (Profit-Labs Ltd.)
 */

/**
 * @class Provides maintenance log information in comfortable form.
 */
Logger = {
		/**
		 * @field {boolean}
		 * @description Flag that describes the availability of logger class.
		 */
	enabled: true,
	/**
	 * @field {string}
	 * @description [READONLY] Flag that marks log node as important.
	 */
	importantMarker: "!=====!=====!"
};

/**
 * @function Provides adding node into the log.
 * @param {string} value - text message.
 * @param {string} context - sender context (such as class name.)
 * @param {boolean} isImportant - "node is important" flag
 */
Logger.write = function(value, context, isImportant){
	isImportant = isImportant || false;
    if (this.enabled === true) {
		var result = "(" + DateHelper.getTime(new Date(), true) + ") ";
		result += isImportant ? this.importantMarker + " " : "";
		if (context) {
			result += "[" + context + "] ";
		}
		result += value;
		alert(result);
	}
};